# Uses of Interface
org.opensaml.xmlsec.encryption.support.PreDecryptionValidator

Packages that use PreDecryptionValidator
Package
Description
org.opensaml.xmlsec.encryption.support
Functional support for XML Encryption.

## Uses of PreDecryptionValidator in org.opensaml.xmlsec.encryption.support

Classes in org.opensaml.xmlsec.encryption.support that implement PreDecryptionValidator
Modifier and Type
Class
Description
`class`
`DefaultPreDecryptionValidator`
Default implementation of `PreDecryptionValidator`.
Fields in org.opensaml.xmlsec.encryption.support declared as PreDecryptionValidator
Modifier and Type
Field
Description
`private PreDecryptionValidator`
Decrypter.`preDecryptionValidator`
The pre-decryption validator instance.
Methods in org.opensaml.xmlsec.encryption.support that return PreDecryptionValidator
Modifier and Type
Method
Description
`PreDecryptionValidator`
Decrypter.`getPreDecryptionValidator()`
Get the instance of `PreDecryptionValidator`.
Methods in org.opensaml.xmlsec.encryption.support with parameters of type PreDecryptionValidator
Modifier and Type
Method
Description
`void`
Decrypter.`setPreDecryptionValidator(PreDecryptionValidator validator)`
Set the instance of `PreDecryptionValidator`.